Bug 458581 - Crash on login
Crash on login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: desktop-data-model (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-10 06:20 EDT by Rui Matos
Modified: 2009-07-14 10:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2008-08-10 06:20:06 EDT
Version: desktop-data-model-1.2.4-1.fc9.x86_64

Most times when I log in mugshot crashes imediatly. Here's the backtrace:

#0  0x00000039a520e835 in waitpid () from /lib64/libpthread.so.0
#1  0x00000039a626e809 in IA__g_spawn_sync (
    working_directory=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>, flags=<value optimized out>, 
    child_setup=<value optimized out>, user_data=<value optimized out>, 
    standard_output=Could not find the frame base for "IA__g_spawn_sync".
) at gspawn.c:374
#2  0x00000039a626eb18 in IA__g_spawn_command_line_sync (
    command_line=<value optimized out>, standard_output=<value optimized out>, 
    standard_error=<value optimized out>, exit_status=<value optimized out>, 
    error=<value optimized out>) at gspawn.c:682
#3  0x0000000000666300 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
#4  0x00000000006666bd in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
#5  <signal handler called>
#6  0x00000039a3209b8a in ddm_data_fetch_subtract (
    fetch=<value optimized out>, other=<value optimized out>)
    at ddm/ddm-data-fetch.c:570
#7  0x00000039a3213594 in item_fetch_additional (item=<value optimized out>, 
    resource=<value optimized out>, fetch=<value optimized out>)
    at ddm/ddm-work-item.c:203
#8  0x00000039a3213829 in _ddm_work_item_process (item=<value optimized out>)
    at ddm/ddm-work-item.c:345
#9  0x00000039a320b1ba in ddm_data_model_flush_internal (
    model=<value optimized out>, shutting_down=<value optimized out>)
    at ddm/ddm-data-model.c:846
#10 0x00000039a320b2c9 in do_flush (data=<value optimized out>)
    at ddm/ddm-data-model.c:638
#11 0x00000039a62374db in IA__g_main_context_dispatch (
    context=<value optimized out>) at gmain.c:2012
#12 0x00000039a623acbd in g_main_context_iterate (
    context=<value optimized out>, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2645
#13 0x00000039a623b1ed in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2853
#14 0x000000000040d5ea in main (argc=1, argv=0x7fff0985c8d8) at src/main.c:530
(gdb) frame 6
#6  0x00000039a3209b8a in ddm_data_fetch_subtract (
    fetch=<value optimized out>, other=<value optimized out>)
    at ddm/ddm-data-fetch.c:570
570	        else if (j == other->n_properties)
(gdb) list
565	    while (i < fetch->n_properties || j < other->n_properties) {
566	        int cmp;
567	
568	        if (i == fetch->n_properties)
569	            cmp = 1;
570	        else if (j == other->n_properties)
571	            cmp = -1;
572	        else
573	            cmp = fetch_property_compare(&fetch->properties[i], &other->properties[j]);
574	
(gdb) print other
$1 = <value optimized out>
(gdb) print other->n_properties 
Cannot access memory at address 0x8
Comment 1 Bug Zapper 2009-06-09 22:25:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:56:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.